def mediane(L):
    E = ecc(L)
    N = E[-1][1] # effectif total

    if N % 2 == 0:
        moitie = ... # moitié de l'effectif total
    else:
        moitie = ...

    for i in range( len(E) ):
        if E[i][1] > moitie:
            return ...
        if E[i][1] == moitie:
            return ...
